• Русский
  • VSphereMachineTemplate [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    VSphereMachineTemplate is the Schema for the vspheremachinetemplates API Deprecated: This type will be removed in one of the next releases.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    VSphereMachineTemplateSpec defines the desired state of VSphereMachineTemplate

    .spec

    Description
    VSphereMachineTemplateSpec defines the desired state of VSphereMachineTemplate
    Type
    object
    Required
    template
    PropertyTypeDescription
    templateobject

    VSphereMachineTemplateResource describes the data needed to create a VSphereMachine from a template

    .spec.template

    Description
    VSphereMachineTemplateResource describes the data needed to create a VSphereMachine from a template
    Type
    object
    Required
    spec
    PropertyTypeDescription
    metadataObjectMeta

    Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

    specobject

    Spec is the specification of the desired behavior of the machine.

    .spec.template.spec

    Description
    Spec is the specification of the desired behavior of the machine.
    Type
    object
    Required
    networktemplate
    PropertyTypeDescription
    cloneModestring

    CloneMode specifies the type of clone operation. The LinkedClone mode is only supported for templates that have at least one snapshot. If the template has no snapshots, then CloneMode defaults to FullClone. When LinkedClone mode is enabled the DiskGiB field is ignored as it is not possible to expand disks of linked clones. Defaults to LinkedClone, but fails gracefully to FullClone if the source of the clone operation has no snapshots.

    customVMXKeysobject

    CustomVMXKeys is a dictionary of advanced VMX options that can be set on VM Defaults to empty map

    datacenterstring

    Datacenter is the name or inventory path of the datacenter in which the virtual machine is created/located.

    datastorestring

    Datastore is the name or inventory path of the datastore in which the virtual machine is created/located.

    diskGiBinteger

    DiskGiB is the size of a virtual machine's disk, in GiB. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    failureDomainstring

    FailureDomain is the failure domain unique identifier this Machine should be attached to, as defined in Cluster API. For this infrastructure provider, the name is equivalent to the name of the VSphereDeploymentZone.

    folderstring

    Folder is the name or inventory path of the folder in which the virtual machine is created/located.

    memoryMiBinteger

    MemoryMiB is the size of a virtual machine's memory, in MiB. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    networkobject

    Network is the network configuration for this machine's VM.

    numCPUsinteger

    NumCPUs is the number of virtual processors in a virtual machine. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    numCoresPerSocketinteger

    NumCoresPerSocket is the number of cores per socket in a virtual machine. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    providerIDstring

    ProviderID is the virtual machine's BIOS UUID formatted as vsphere://12345678-1234-1234-1234-123456789abc

    resourcePoolstring

    ResourcePool is the name or inventory path of the resource pool in which the virtual machine is created/located.

    serverstring

    Server is the IP address or FQDN of the vSphere server on which the virtual machine is created/located.

    snapshotstring

    Snapshot is the name of the snapshot from which to create a linked clone. This field is ignored if LinkedClone is not enabled. Defaults to the source's current snapshot.

    storagePolicyNamestring

    StoragePolicyName of the storage policy to use with this Virtual Machine

    templatestring

    Template is the name or inventory path of the template used to clone the virtual machine.

    thumbprintstring

    Thumbprint is the colon-separated SHA-1 checksum of the given vCenter server's host certificate When this is set to empty, this VirtualMachine would be created without TLS certificate validation of the communication between Cluster API Provider vSphere and the VMware vCenter server.

    .spec.template.spec.customVMXKeys

    Description
    CustomVMXKeys is a dictionary of advanced VMX options that can be set on VM Defaults to empty map
    Type
    object

    .spec.template.spec.network

    Description
    Network is the network configuration for this machine's VM.
    Type
    object
    Required
    devices
    PropertyTypeDescription
    devicesarray

    Devices is the list of network devices used by the virtual machine.

    preferredAPIServerCidrstring

    PreferredAPIServeCIDR is the preferred CIDR for the Kubernetes API server endpoint on this machine

    routesarray

    Routes is a list of optional, static routes applied to the virtual machine.

    .spec.template.spec.network.devices

    Description
    Devices is the list of network devices used by the virtual machine.
    Type
    array

    .spec.template.spec.network.devices[]

    Description
    NetworkDeviceSpec defines the network configuration for a virtual machine's network device.
    Type
    object
    Required
    networkName
    PropertyTypeDescription
    deviceNamestring

    DeviceName may be used to explicitly assign a name to the network device as it exists in the guest operating system.

    dhcp4boolean

    DHCP4 is a flag that indicates whether or not to use DHCP for IPv4 on this device. If true then IPAddrs should not contain any IPv4 addresses.

    dhcp6boolean

    DHCP6 is a flag that indicates whether or not to use DHCP for IPv6 on this device. If true then IPAddrs should not contain any IPv6 addresses.

    gateway4string

    Gateway4 is the IPv4 gateway used by this device. Required when DHCP4 is false.

    gateway6string

    Gateway6 is the IPv6 gateway used by this device. Required when DHCP6 is false.

    ipAddrsarray

    IPAddrs is a list of one or more IPv4 and/or IPv6 addresses to assign to this device. IP addresses must also specify the segment length in CIDR notation. Required when DHCP4 and DHCP6 are both false.

    macAddrstring

    MACAddr is the MAC address used by this device. It is generally a good idea to omit this field and allow a MAC address to be generated. Please note that this value must use the VMware OUI to work with the in-tree vSphere cloud provider.

    mtuinteger

    MTU is the device’s Maximum Transmission Unit size in bytes.

    nameserversarray

    Nameservers is a list of IPv4 and/or IPv6 addresses used as DNS nameservers. Please note that Linux allows only three nameservers (https://linux.die.net/man/5/resolv.conf).

    networkNamestring

    NetworkName is the name of the vSphere network to which the device will be connected.

    routesarray

    Routes is a list of optional, static routes applied to the device.

    searchDomainsarray

    SearchDomains is a list of search domains used when resolving IP addresses with DNS.

    .spec.template.spec.network.devices[].ipAddrs

    Description
    IPAddrs is a list of one or more IPv4 and/or IPv6 addresses to assign to this device. IP addresses must also specify the segment length in CIDR notation. Required when DHCP4 and DHCP6 are both false.
    Type
    array

    .spec.template.spec.network.devices[].ipAddrs[]

    Type
    string

    .spec.template.spec.network.devices[].nameservers

    Description
    Nameservers is a list of IPv4 and/or IPv6 addresses used as DNS nameservers. Please note that Linux allows only three nameservers (https://linux.die.net/man/5/resolv.conf).
    Type
    array

    .spec.template.spec.network.devices[].nameservers[]

    Type
    string

    .spec.template.spec.network.devices[].routes

    Description
    Routes is a list of optional, static routes applied to the device.
    Type
    array

    .spec.template.spec.network.devices[].routes[]

    Description
    NetworkRouteSpec defines a static network route.
    Type
    object
    Required
    metrictovia
    PropertyTypeDescription
    metricinteger

    Metric is the weight/priority of the route.

    tostring

    To is an IPv4 or IPv6 address.

    viastring

    Via is an IPv4 or IPv6 address.

    .spec.template.spec.network.devices[].searchDomains

    Description
    SearchDomains is a list of search domains used when resolving IP addresses with DNS.
    Type
    array

    .spec.template.spec.network.devices[].searchDomains[]

    Type
    string

    .spec.template.spec.network.routes

    Description
    Routes is a list of optional, static routes applied to the virtual machine.
    Type
    array

    .spec.template.spec.network.routes[]

    Description
    NetworkRouteSpec defines a static network route.
    Type
    object
    Required
    metrictovia
    PropertyTypeDescription
    metricinteger

    Metric is the weight/priority of the route.

    tostring

    To is an IPv4 or IPv6 address.

    viastring

    Via is an IPv4 or IPv6 address.

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachinetemplates
      • DELETE: delete collection of VSphereMachineTemplate
      • GET: list objects of kind VSphereMachineTemplate
      • POST: create a new VSphereMachineTemplate
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachinetemplates/{name}
      • DELETE: delete the specified VSphereMachineTemplate
      • GET: read the specified VSphereMachineTemplate
      • PATCH: partially update the specified VSphereMachineTemplate
      • PUT: replace the specified VSphereMachineTemplate

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachinetemplates

    HTTP method
    DELETE
    Description
    delete collection of VSphereMachineTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VSphereMachineTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachineTemplateList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VSphereMachineTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereMachineTemplate schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachineTemplate schema
    201 - CreatedVSphereMachineTemplate schema
    202 - AcceptedVSphereMachineTemplate schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachinetemplates/{name}

    HTTP method
    DELETE
    Description
    delete the specified VSphereMachineTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VSphereMachineTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachineTemplate schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VSphereMachineTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachineTemplate schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VSphereMachineTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereMachineTemplate schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachineTemplate schema
    201 - CreatedVSphereMachineTemplate schema
    401 - UnauthorizedEmpty